var GetFlps = (function() {

	return Backbone.View.extend({
		className: 'getflps',

		events: {
			'click .get-flps-cash': 'onClickPurchase'
		},

		initialize: function() {
			this.flp_bar = new FlpToolbar();
			this.render();
		},

		render: function() {
			this.$el.html($('#tmpl_getflps').html());
			
			this.flp_bar.render();
			this.$el.prepend(this.flp_bar.$el);
			
			
			if (window['device']) {
				
				// Let's set a pretty high verbosity level, so that we see a lot of stuff
				// in the console (reassuring us that something is happening).
				store.verbosity = store.INFO;

				// We register a dummy product. It's ok, it shouldn't
				// prevent the store "ready" event from firing.
				store.register({
					id:    "flp25000",
					alias: "flp25000s",
					type:  store.CONSUMABLE
				});

				store.register({
					id:    "flp75000",
					alias: "flp75000s",
					type:  store.CONSUMABLE
				});
				
				store.register({
					id:    "flp125000",
					alias: "flp125000s",
					type:  store.CONSUMABLE
				});
				
				store.register({
					id:    "flp250000",
					alias: "flp250000s",
					type:  store.CONSUMABLE
				});
				
				// When every goes as expected, it's time to celebrate!
				// The "ready" event should be welcomed with music and fireworks,
				// go ask your boss about it! (just in case)
				store.ready(function() {
					//alert("store ready");
				});

				store.when("flp25000").approved(function (order) {
					order.finish();
					
					App.user.addFlps(25000, function(status) {
						alert('25,000 FLPs added. Thank you!');
					});
				});
				
				store.when("flp75000").approved(function (order) {
					order.finish();
					
					App.user.addFlps(85000, function(status) {
						alert('85,000 FLPs added. Thank you!');
					});
				});
				
				store.when("flp125000").approved(function (order) {
					order.finish();
					
					App.user.addFlps(150000, function(status) {
						alert('150,000 FLPs added. Thank you!');
					});
				});
				
				store.when("flp250000").approved(function (order) {
					order.finish();
					
					App.user.addFlps(325000, function(status) {
						alert('325,000 FLPs added. Thank you!');
					});
				});
				
				// After we've done our setup, we tell the store to do
				// it's first refresh. Nothing will happen if we do not call store.refresh()
				
				store.refresh();
			}
		},

		onClickPurchase: function(event) {
			
			var $this = $(event.currentTarget);
			var amount = parseInt($this.data('amount'), 10);
			var amountwithbonus = parseInt($this.data('amountwithbonus'), 10);
			var product = 'flp' + amount;
			
			if (!amount || !App.user.isLoggedIn()) {
				alert("You are not currently logged in.");
				return;
			} else {
				var current_flps = parseInt(App.user.get('flp'));
				
				if (current_flps >= 330000) {
					alert('You cannot purchase any further FLPs at this time. Please consume some FLPs via Round 3.');
					return;
				}
				if ((current_flps+amountwithbonus) > 330000) {
					alert('Your purchase would take you over the maximum FLP limit of 330,000. Please try another option or consume some FLPs via Round 3.');
					return;
				}
				
				store.order(product);
				
			}
			

		},

		/*
		onClickVideo: function(event) {
			window.open('http://darrenwhitlen.com/ads.php');
		},
		*/

		/*
		onClickInfo: function(event) {
			this.$('.flp-info-text').toggle();
		},
		*/

		closeSection: function(callback) {
			this.flp_bar.remove();
			this.remove();
			callback();
		}
	});

})();