var Home = (function() {

	return Backbone.View.extend({
		events: {
			'click .home-start-quiz': 'startClick',
			'click .home-tac': 'tacClick'
		},

		initialize: function() {
			this.flp_bar = new FlpToolbar();
			this.render();
			
			if (App.get('update_ready')) {
				App.showUpdate();
			}
		},

		render: function() {
			
			if (App.user.isLoggedIn()) {
				this.$el.html($('#tmpl_home').html());
				this.flp_bar.render();
				this.$('.home').prepend(this.flp_bar.$el);
			} else {
				this.$el.html($('#tmpl_home_nouser').html());
			}
		},

		startClick: function(event) {
			this.start_clicked = true;
			showQuizes();
		},

		tacClick: function(event) {
			showLegal();
		},

		closeSection: function(callback) {
			var self = this;

			if (!this.start_clicked) {
				self.flp_bar.remove();
				self.remove();
				callback();
				return;
			}

			self.flp_bar.remove();
			self.remove();
			callback();

			/*
			this.$('.home-start-wrap').transition({top: '100%'}, function() {
				delay(500, function(){
					self.flp_bar.remove();
					self.remove();
					callback();
				});
			});
			*/
		}
	});

})();