var ModelMessage = Backbone.View.extend({
	className: 'model-message',

	events: {
		'click': 'onClick'
	},

	initialize: function(options) {
		this.title = options.title || '';
		this.message = options.message || '';

		if (options.view) {
			this.$view = options.view;
			this.$el.append(this.view);
		}

		this.options = options;
	},

	render: function() {
		this.$el.html('<table height="100%" width="100%" border="0"><tr><td valign="center"></td></tr></table>');

		if (this.$view) {
			this.$('td').append(this.$view);

		} else {
			this.$('td').append('<h3></h3><h5></h5>');
			this.$('h3').text(this.title);
			this.$('h5').text(this.message);
		}

		this.$el.css('opacity', 0);
		if (this.options.background) {
			this.$el.css('background-color', this.options.background);
		} else if (this.options['background-image']) {
			this.$el.css({
				'background-image': this.options['background-image'],
				'background-size': '100% 100%',
				'background-position': 'center center',
				'background-attachment': 'fixed'
			});
		}

		this.$el.appendTo($('body'));
		this.$el.animate({opacity: 1}, 100);
	},

	onClick: function(event) {
		this.trigger('tapped');
	}
});