var Prizes = (function() {

	return Backbone.View.extend({
		className: 'prizes-content',
		events: {
		},

		initialize: function() {
			var self = this;
			
			if (App.get('update_ready')) {
				App.showUpdate();
			}
			
			App.callApi('game/'+window.config.game_id+'/gamestatus.json')
			.done(function(data) {
				if (data.required_players) {
					$('.prizes-downloads-amount-required').html(data.required_players);
				}
				if (data.remaining_players > 0) {
					$('.prizes-timer').html('<div class="prizes-timer-value"><div class="prizes-timer-value-span">' + data.remaining_players + '</div><div class="prizes-timer-value-div">MORE PLAYERS REQUIRED</div><div class="prizes-timer-value-div">BEFORE CONTEST WILL BEGIN</div></div>');
				} else {
					var target_date = new Date(data.ends_at).getTime();
				
					// variables for time units
					var days, hours, minutes, seconds;
					
					// find the amount of "seconds" between now and target
					var current_date = new Date().getTime();
					var seconds_left = (target_date - current_date) / 1000;
				 
					// do some time calculations
					days = parseInt(seconds_left / 86400);
					seconds_left = seconds_left % 86400;
					 
					hours = parseInt(seconds_left / 3600);
					seconds_left = seconds_left % 3600;
					 
					minutes = parseInt(seconds_left / 60);
					seconds = parseInt(seconds_left % 60);
					 
					if (hours < 10) {
						hours = '0' + hours;
					}
					if (minutes < 10) {
						minutes = '0' + minutes;
					}
					
					$('.prizes-timer').html('<div class="prizes-timer-header">CONTEST COUNTDOWN</div><div class="prizes-timer-value"><span id="days">' + days + '</span> DAYS <span id="hours">' + hours + '</span> HOURS <span id="mins">' + minutes + '</span> MINS</div>');
				}
			});
			
			this.render();
		},

		render: function() {
			this.$el.html($('#tmpl_prizes').html());
		},

		closeSection: function(callback) {
			var self = this;
			this.remove();
			callback();
		}
	});

})();