var QuizCategoryTile = Backbone.View.extend({
	tagName: 'div',
	className: 'quiz-next-question-card',
	events: {
		'click': 'onClick'
	},

	initialize: function(options) {
		this.category = options.category;
		this.selectable = options.selectable || false;
		this.caption = options.caption || '';
		this.enabled = true;
		this.row = options.row;
		this.tile_idx = options.tile_idx;

		this.score_multiplier = 1;

		this.artist = options.artist;
	},


	render: function() {
		this.$el.html($('#tmpl_question_tile').html());
		this.$('.back div').text(this.caption);
		
		if (this.artist) {
			this.$('.front img').attr('src', 'img/artists/' + this.artist.replace(/[^a-zA-Z]/g, '').toLowerCase() + '/card_front.png');
			this.$('.back img').attr('src', 'img/artists/' + this.artist.replace(/[^a-zA-Z]/g, '').toLowerCase() + '/card_back.png');
		}

		if (this.selectable) {
			this.$el.addClass('selectable');
		} else {
			this.$el.removeClass('selectable');
		}

		if (!this.enabled) {
			this.$el.addClass('disabled');
		} else {
			this.$el.removeClass('disabled');
		}

		return this;
	},


	setCaption: function(new_caption) {
		this.$('div.caption').text(new_caption);
		this.caption = new_caption;
	},


	setSubCaption: function(new_caption) {
		this.$('div.subcaption').text(new_caption);
	},


	setSelectable: function(selectable) {
		if (selectable) {
			this.$el.addClass('selectable');
		} else {
			this.$el.removeClass('selectable');
		}
	},


	setDisabled: function(disabled) {
		if (disabled) {
			this.$el.addClass('disabled');
		} else {
			this.$el.removeClass('disabled');
		}
	},

	onClick: function(event) {
		this.trigger('clicked', this);
	}
});