var QuizList = (function() {

	var QuizListC = Backbone.Collection.extend({
		model: Quiz,

		initialize: function(models, options) {
			this.url = window.config.api_path + 'game/' + window.config.game_id + '/topics.json';
		},

		getById: function(id) {
			var models = this.where({id: id});

			return models.length === 0 ?
				null :
				models[0];
		}
	});


	var QuizList = Backbone.View.extend({
		className: 'quiz-list',
		events: {
			'click .quiz-list-item': 'onQuizClick'
		},

		initialize: function() {
			this.quizes = new QuizListC();
			this.listenTo(this.quizes, 'add', this.addedQuiz);
			this.render();

			if (App.get('update_ready')) {
				App.showUpdate();
			}
		},

		render: function() {
		},

		addedQuiz: function(quiz) {
			var html = '<div class="quiz-list-item-wrap">';
			html += '<div class="quiz-list-item">';
			html += '<div class="quiz-gfx"></div>';
			html += '<div class="quiz-meta">';
			html += '<h4></h4>';
			html += '<span class="quiz-description"></span>';
			//html += '<div class="quiz-position">Your position: <span>12th</span></div>';
			html += '<a class="play-quiz">play</a>';
			html += '</div>';
			html += '</div>';
			html += '</div>';

			var $quiz = $(html);
			$quiz.find('h4').text(quiz.get('title'));
			$quiz.find('.quiz-description').text(quiz.get('description'));
			$quiz.find('.quiz-position').text(quiz.get('player_position'));

			$quiz.find('.quiz-gfx').css({
				'background-image': 'url(' + quiz.get('gfx') + ')',
				'background-position-x': -(quiz.get('gfx_index') * 150)
			});

			$quiz.find('.quiz-list-item').data('quiz', quiz);
			this.$el.append($quiz);
		},

		onQuizClick: function(event) {
			App.playSound('click2');
			this.trigger('quiz_selected', $(event.currentTarget).data('quiz'));
		},

		closeSection: function(callback) {
			this.remove();
			callback();
		}
	});

	return QuizList;
})();