var ToolbarApp = Toolbar.extend({
	events: {
		'click .section': 'sectionClick',
		'click .logo': 'logoClick'
	},


	initialize: function() {
		this.positionMarker(this.$('.logo'));
	},


	sectionClick: function(event) {
		var that = this;
		var $this = $(event.currentTarget);
		var section_name = $this.data('section');

		if (!section_name)
			return;

		this.trigger('selected', section_name);

		//this.positionMarker($this);

		var this_width = $this.outerWidth(true);
		var nav_left = parseInt(this.$('.nav-wrap').css('margin-left'), 10);

		var is_last = !!($this.next('a').length);
		var is_first = !($this.prev('a').length);

		var updateMarker = function() { that.positionMarker($this); };

		if ($this.position().left - $this.outerWidth(true)/2 < nav_left) {
			this.$('nav').animate({left: 0}, updateMarker);
		} else if ($this.offset().left + this_width + (this_width/2) > $(document).width()) {
			this.$('nav').animate({left: this.$('.nav-wrap').width() - (this_width + (is_last?(this_width):0) + $this.position().left)}, updateMarker);
		} else {
			this.positionMarker($this);
		}

		App.playSound('click');

/*
		var doc_width = $(document).width();
		var l = $this.offset().left;
		var c = doc_width / 2;
		var percentage_of_screen = doc_width * 0.2;
		var new_l = false;

		// If item is outside of the center "area", scroll it into it
		if (l < percentage_of_screen) {
			new_l = -($this.position().left - percentage_of_screen);
		} else if (l > doc_width-percentage_of_screen){
			new_l = -(doc_width-$this.position().left - percentage_of_screen);
		}

		if (new_l !== false) {
			// Get the selected item to the center
			//new_l = -($this.position().left - c);

			// Shift the selected item left by .5 its width so its central
			new_l = new_l - ($this.outerWidth(true) / 2);

			this.$('nav').animate({left: new_l});
		}
		*/
	},

	logoClick: function(event) {
		this.trigger('selected', 'home');
		this.positionMarker($(event.currentTarget));
	},


	positionMarker: function($el){
		var $marker = this.$('.marker');

		// Minus 4 = being the border width / 2
		var pos = $el.offset().left + ($el.outerWidth() / 2) - 4;
		$marker.transition({left: pos});
	}
});