var User = Backbone.Model.extend({
    defaults: {
        status: 'unknown',
        username: '',
		social_network: '',
        flp: 0
    },

    url: window.config.api_path + 'me.json',


    initialize: function() {
    },


    refresh: function() {
        this.fetch({
            prefill: true,
            cache: window.config.cache_enabled,
            expires: 60000 * 30,
        });
    },


    isLoggedIn: function() {
        return !!this.get('username');
    },

    loadLocalUser: function() {
        var username = window.localStorage.getItem('username') || null;
        this.set('username', username);
    },

    setUsername: function(username) {
        window.localStorage.setItem('username', username);
        this.set('username', username);
    },
	
	setSocialNetwork: function(social_network) {
		social_network = social_network.replace("#_=_", "");
        window.localStorage.setItem('social_network', social_network);
        this.set('social_network', social_network);
    },

    doLogin: function(login_callback) {
        var self = this;

        var login_win = window.open('http://staging.aytugames.com/ingame/login?relogin=1', '_blank', 'location=no,toolbar=no');
        login_win.addEventListener('loadstart', login_winLoadStart);
        login_win.addEventListener('exit', login_winExit);

        function login_winLoadStart(event) {
            var url = event.url;

            var token = /[?&]aytu_token=([^ &?]+)/.exec(url);
            var player = /[?&]aytu_player=([^ &?]+)/.exec(url);
            var action = /[?&]aytu_act=([^ &?]+)/.exec(url);
			var social_network = /[?&]social_network=([^ &?]+)/.exec(url);

            if (action && action[1] === 'close') {
                login_win.close();
                return login_callback('cancelled');
            }

            if (token && player) {
                self.setUsername(player[1].toString());
                if (social_network && social_network !== '' && social_network !== 'undefined') {
					if (social_network[1].toString() === 'twitter') {
						self.setSocialNetwork(social_network[1].toString());
					}
				}
				login_win.close();
                login_callback(null);
            }
        }

        function login_winExit(event) {
            login_win.removeEventListener('loadstart', login_winLoadStart);
            login_win.removeEventListener('exit', login_winExit);
            login_win = null;
        }
    },

    addFlps: function(amount, cb) {
        
        var self = this;

        App.callApi('me/flp', {amount: amount})
            .done(function(data) {
                if (data.status == 'ok')
                    self.refresh();

                cb && cb(data.status);
            })
            .fail(function() {
                cb && cb();
            });
    }
});